Skip to content
A useful library for checking against the Jigoshop plugin before activating your own.
PHP
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
README.md
class-jigoshop-dependencies.php
jigoshop-functions.php

README.md

Jigoshop-Plugin-Dependencies

A useful library for checking against the Jigoshop plugin before activating your own.

Features

Is Jigoshop activated

<?php
is_jigoshop_active();

Require a Jigoshop version

<?php
is_jigoshop_active( '1.4.2' );

Usage

You must call is_jigoshop_active() in your main plugin directory on init.

<?php

function require_jigoshop() {
    require_once 'jigoshop-functions.php';
    is_jigoshop_active( '1.4.2' );
}

add_action('init', 'require_jigoshop');

Bug tracker

Have a bug? Please create an issue here on GitHub!

https://github.com/Geczy/Jigoshop-Plugin-Dependencies/issues/

Something went wrong with that request. Please try again.